## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesWrapperHelper Class Reference

`#include <XercesWrapperHelper.hpp>`

List of all members.

## Public Types

- typedef XMLSize_t XercesStringLengthType

## Static Public Methods

- const XMLCh* XalanDOMStringToXercesDOMString (const XalanDOMString& theString)
- bool isSupported ( const DOMNodeType* theXercesNode, const XalanDOMString& feature, const XalanDOMString& version)
- const XalanDOMString substringData ( const DOMCharacterDataType* theXercesNode, unsigned int offset, unsigned int count)

## Member Typedef Documentation

typedef XMLSize_t XercesWrapperHelper::XercesStringLengthType

## Member Function Documentation

const XMLCh * XercesWrapperHelper::XalanDOMStringToXercesDOMString ( | const XalanDOMString & theString )`[static]`

bool XercesWrapperHelper::isSupported ( | const DOMNodeType * theXercesNode,
| const XalanDOMString & feature,
| const XalanDOMString & version )`[static]`

const XalanDOMString XercesWrapperHelper::substringData ( | const DOMCharacterDataType * theXercesNode,
| unsigned int offset,
| unsigned int count )`[static]`

The documentation for this class was generated from the following file:

- XercesWrapperHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.